#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 what4
version:              1.5.1
visibility:           public
id:                   what4-1.5.1-HcrUmAhGYkcAUGGxjuVnIl
key:                  what4-1.5.1-HcrUmAhGYkcAUGGxjuVnIl
license:              BSD-3-Clause
copyright:            (c) Galois, Inc 2014-2023
maintainer:           rscott@galois.com, kquick@galois.com
author:               Galois Inc.
homepage:             https://github.com/GaloisInc/what4
synopsis:             Solver-agnostic symbolic values support for issuing queries
description:
    What4 is a generic library for representing values as symbolic formulae which may
    contain references to symbolic values, representing unknown variables.
    It provides support for communicating with a variety of SAT and SMT solvers,
    including Z3, CVC4, CVC5, Yices, Boolector, STP, and dReal.
    The data representation types make heavy use of GADT-style type indices
    to ensure type-correct manipulation of symbolic values.

category:             Formal Methods, Theorem Provers, Symbolic Computation, SMT
abi:                  38b0ce308a67ec0a39daf3740cef16d4
exposed:              True
exposed-modules:
    Test.Verification What4.BaseTypes What4.Concrete What4.Config
    What4.Expr What4.Expr.Allocator What4.Expr.App What4.Expr.AppTheory
    What4.Expr.ArrayUpdateMap What4.Expr.BoolMap What4.Expr.Builder
    What4.Expr.GroundEval What4.Expr.MATLAB What4.Expr.Simplify
    What4.Expr.StringSeq What4.Expr.UnaryBV
    What4.Expr.VarIdentification What4.Expr.WeightedSum What4.FloatMode
    What4.FunctionName What4.IndexLit What4.Interface
    What4.InterpretedFloatingPoint What4.LabeledPred What4.Panic
    What4.Partial What4.ProblemFeatures What4.ProgramLoc
    What4.Protocol.Online What4.Protocol.PolyRoot
    What4.Protocol.ReadDecimal What4.Protocol.SExp
    What4.Protocol.SMTLib2 What4.Protocol.SMTLib2.Parse
    What4.Protocol.SMTLib2.Response What4.Protocol.SMTLib2.Syntax
    What4.Protocol.SMTWriter What4.Protocol.VerilogWriter
    What4.Protocol.VerilogWriter.ABCVerilog
    What4.Protocol.VerilogWriter.AST
    What4.Protocol.VerilogWriter.Backend What4.SFloat What4.SWord
    What4.SatResult What4.SemiRing What4.Serialize.FastSExpr
    What4.Serialize.Log What4.Serialize.Normalize
    What4.Serialize.Parser What4.Serialize.Printer
    What4.Serialize.SETokens What4.Solver What4.Solver.Adapter
    What4.Solver.Boolector What4.Solver.CVC4 What4.Solver.CVC5
    What4.Solver.DReal What4.Solver.ExternalABC What4.Solver.STP
    What4.Solver.Yices What4.Solver.Z3 What4.SpecialFunctions
    What4.Symbol What4.Utils.AbstractDomains What4.Utils.AnnotatedMap
    What4.Utils.Arithmetic What4.Utils.BVDomain
    What4.Utils.BVDomain.Arith What4.Utils.BVDomain.Bitwise
    What4.Utils.BVDomain.XOR What4.Utils.Complex What4.Utils.Endian
    What4.Utils.Environment What4.Utils.FloatHelpers
    What4.Utils.HandleReader What4.Utils.IncrHash What4.Utils.LeqMap
    What4.Utils.MonadST What4.Utils.OnlyIntRepr What4.Utils.Process
    What4.Utils.ResolveBounds.BV What4.Utils.Serialize
    What4.Utils.Streams What4.Utils.StringLiteral What4.Utils.Versions
    What4.Utils.Word16String What4.WordMap

import-dirs:          /usr/lib/ghc-9.4.8/site-local/what4-1.5.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/what4-1.5.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/what4-1.5.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-what4
hs-libraries:         HSwhat4-1.5.1-HcrUmAhGYkcAUGGxjuVnIl
depends:
    BoundedChan-1.0.3.0-LpypBc0eid95svZdMy7DB6
    async-2.2.5-8OaaAgguhBf8cQN41yeIS0
    attoparsec-0.14.4-K6A3Lnx18lt9B7Ad03ungd base-4.17.2.1
    bifunctors-5.6-4ygCD5PlLkdDjGXJY74ebv
    bimap-0.5.0-ISwTwI595zOIYPhebe53AZ
    bv-sized-1.0.6-J9tTPdba1Yl6dMaO0EyU98 bytestring-0.11.5.3
    concurrent-extra-0.7.0.12-5aCncuTVWjA58p8XqFNHSF
    config-value-0.8.3-AwfdtSmE9Y1aqPSXDWTLH containers-0.6.7
    deepseq-1.4.8.0 deriving-compat-0.6.6-5X0Yu70vK5QADvNakheelE
    directory-1.3.7.1 exceptions-0.10.5 filepath-1.4.2.2
    fingertree-0.1.6.1-ANVW4NpsaZ5Jihv4dYa3Es ghc-prim-0.9.1
    hashable-1.4.4.0-7zzKXDBa1HP1F6vPi1Tvtg
    hashtables-1.3.1-1d46IABbl6I6elskU61JsG
    io-streams-1.5.2.2-7tqRbixp7eXJ7cPR753c7v
    lens-5.2.3-K2SFBkmML3wBs1E3jorQIX
    libBF-0.6.6-68oouwWOEit5cIeRzwsVuA
    megaparsec-9.6.1-6qeEGREH0fMn1gOMY5ab1 mtl-2.2.2
    ordered-containers-0.2.4-I0UYF9OkcxB2vBPDG97rUG
    panic-0.4.0.1-9Mho20XcACeAG1iUCpMASP
    parameterized-utils-2.1.10.0-FBpvr8G8Kq3EtAuinx7Hgg parsec-3.1.16.1
    prettyprinter-1.7.1-3DaP0TCP9KiHFF7Mogrhb2 process-1.6.18.0
    s-cargot-0.1.6.0-9D6ignfdYFwJ1FASOjG4yS
    scientific-0.3.7.0-EaRpQXcrvKCD1LBpAEBJcM stm-2.5.1.0
    template-haskell-2.19.0.0 temporary-1.3-KrnV93DB6hBAYgorLtz1qq
    text-2.0.2 th-lift-0.8.5-3bCWMcLwp8dEXoRnv4Yrhx
    th-lift-instances-0.1.20-44S0PgyFzrn3ocnzbt19xG time-1.12.2
    transformers-0.5.6.2 unliftio-0.2.25.1-ADKJDJ3Jk2HHfNtwkhrL8a
    unordered-containers-0.2.20-66FGtARgHXEQRH0VfdDtx
    utf8-string-1.0.2-D0oARDqSiCF3CIA0pPBIDm
    vector-0.13.2.0-F8322NeNtfL69paM3N9AVt
    versions-6.0.6-y6uRK3RCRYCiCwu13RXgJ
    zenc-0.1.2-JZ2CRW0EfXHHx8iZ0Ijuwd

haddock-interfaces:   /usr/share/doc/haskell-what4/html/what4.haddock
haddock-html:         /usr/share/doc/haskell-what4/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

